﻿Imports System.Data
Imports System.Configuration
Imports System.Data.SqlClient
Partial Class VB
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Dim ds As New DataSet()
            ds.ReadXml(Server.MapPath("~/Customers.xml"))
            GridView1.DataSource = ds.Tables(0)
            GridView1.DataBind()
        End If
    End Sub

    Protected Sub Bulk_Update(sender As Object, e As EventArgs)
        Dim dt As New DataTable()
        dt.Columns.AddRange(New DataColumn(2) {New DataColumn("Id", GetType(Integer)), _
                                               New DataColumn("Name", GetType(String)), _
                                               New DataColumn("Country", GetType(String))})
        For Each row As GridViewRow In GridView1.Rows
            Dim id As Integer = Integer.Parse(row.Cells(0).Text)
            Dim name As String = row.Cells(1).Text
            Dim country As String = TryCast(row.FindControl("txtCountry"), TextBox).Text
            dt.Rows.Add(id, name, country)
        Next
        Dim constr As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Using con As New SqlConnection(constr)
            Using cmd As New SqlCommand("Update_Customers")
                cmd.CommandType = CommandType.StoredProcedure
                cmd.Connection = con
                cmd.Parameters.AddWithValue("@tblCustomers", dt)
                con.Open()
                cmd.ExecuteNonQuery()
                con.Close()
            End Using
        End Using
    End Sub

End Class
